include colemak_select1.sc

# macros to convert some keys on 83- and 84-key keyboard's to the 101-key equivalents

ifset set1 set2 
macroblock

# pause macro
macro NUM_LOCK ctrl
	PUSH_META CLEAR_META ctrl
	PRESS PAUSE
	POP_META 
endmacro

# printscreen macro (uses shift!)
macro PAD_ASTERIX shift
	PUSH_META CLEAR_META shift
	PRESS PRINTSCREEN
	POP_META
endmacro

# break macro
macro SCROLL_LOCK ctrl
	PRESS PAUSE
endmacro

endblock

# 83-key mappings

ifset set1

# on the XT, the ~/` key is located next to '/", and the key next to lshift is \|
# remap this to match modern ISO layout
remapblock
layer 0
	BACK_QUOTE BACKSLASH
	BACKSLASH EUROPE_2
	CAPS_LOCK FN1 # need to map the FN key into the base layer (0)
endblock

# define that FN1 accesses layer 1
layerblock
	FN1 1
endblock

# the layer itself is just some remaps tagged with the layer number
remapblock
layer 1
	SPACE RALT
	F4 APP
	F8 LGUI
	F10 RGUI
	I UP
	J LEFT
	K DOWN
	L RIGHT
	U HOME
	O END
	P PAGE_UP
	SEMICOLON PAGE_DOWN
	PAD_0 INSERT
	PAD_PERIOD DELETE
	PAD_ASTERIX PAD_SLASH
	F1 F11
	F2 F12
	ESC BACK_QUOTE
	ENTER PAD_ENTER
	BACKSPACE TAB
	TAB DELETE
endblock

# These macros counter-act some of the above remappings when a meta in the FN layer is active.
macroblock
	macro UP ralt
		press I
	endmacro
	macro LEFT ralt
		press J
	endmacro
	macro DOWN ralt
		press K
	endmacro
	macro RIGHT ralt
		press L
	endmacro
	macro HOME ralt
		press U
	endmacro
	macro END ralt
		press O
	endmacro
	macro PAGE_UP ralt
		press P
	endmacro
	macro PAGE_DOWN ralt
		press SEMICOLON
	endmacro
	macro RIGHT gui
		press L
	endmacro
	macro HOME gui
		press U
	endmacro
endblock


# reset conditionals in case this file is included from another file
ifset any
ifkeyboard any
ifselect any

